boost::geometry::resolve_strategy::comparable_distance Struct Reference

List of all members.

## Static Public Member Functions

template<typename Geometry1 , typename Geometry2 , typename Strategy >
static comparable_distance_result < Geometry1, Geometry2, Strategy >::type | apply (Geometry1 const &geometry1, Geometry2 const &geometry2, Strategy const &strategy)
template<typename Geometry1 , typename Geometry2 >
static comparable_distance_result < Geometry1, Geometry2, default_strategy >::type | apply (Geometry1 const &geometry1, Geometry2 const &geometry2, default_strategy)

## Member Function Documentation

template<typename Geometry1 , typename Geometry2 , typename Strategy >

static comparable_distance_result<Geometry1, Geometry2, Strategy>::type boost::geometry::resolve_strategy::comparable_distance::apply | ( | Geometry1 const & | geometry1,
|  | Geometry2 const & | geometry2,
|  | Strategy const & | strategy
| ) |  | `[static]`

template<typename Geometry1 , typename Geometry2 >

static comparable_distance_result< Geometry1, Geometry2, default_strategy >::type boost::geometry::resolve_strategy::comparable_distance::apply | ( | Geometry1 const & | geometry1,
|  | Geometry2 const & | geometry2,
|  | default_strategy |
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK